Create Repository
curl --request POST \
--url https://api.veridical.dev/api/v1/repositories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>",
"forge": "<string>",
"full_name": "<string>",
"workspace_id": "<string>",
"default_branch": "<string>",
"installation_id": "<string>"
}
'import requests
url = "https://api.veridical.dev/api/v1/repositories"
payload = {
"external_id": "<string>",
"forge": "<string>",
"full_name": "<string>",
"workspace_id": "<string>",
"default_branch": "<string>",
"installation_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '<string>',
forge: '<string>',
full_name: '<string>',
workspace_id: '<string>',
default_branch: '<string>',
installation_id: '<string>'
})
};
fetch('https://api.veridical.dev/api/v1/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}control
Create Repository
POST
/
api
/
v1
/
repositories
Create Repository
curl --request POST \
--url https://api.veridical.dev/api/v1/repositories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>",
"forge": "<string>",
"full_name": "<string>",
"workspace_id": "<string>",
"default_branch": "<string>",
"installation_id": "<string>"
}
'import requests
url = "https://api.veridical.dev/api/v1/repositories"
payload = {
"external_id": "<string>",
"forge": "<string>",
"full_name": "<string>",
"workspace_id": "<string>",
"default_branch": "<string>",
"installation_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: '<string>',
forge: '<string>',
full_name: '<string>',
workspace_id: '<string>',
default_branch: '<string>',
installation_id: '<string>'
})
};
fetch('https://api.veridical.dev/api/v1/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
8 - 200Body
application/json
Response
Successful Response
The response is of type Response Create Repository Api V1 Repositories Post · object.
Last modified on July 28, 2026
⌘I

